Subject: Re: [PATCH 01/11] ARM: disable virt_to_bus/virt_to_bus almost everywhere

From: Vineet Gupta <[email-masked]>
Date: Thu, 21 Feb 2013 13:07:56 +0530

>> I guess you'll have to do something similar for arch/metag, and Vineet
>> will do it for arch/arc.

After getting the tip-bot msg about Stephen's patch for -mm, I never saw it in
-next and thus was not sure how when it will start showing up in -next.

> 
> Yes, I have a little series of patches to fix this sort of harmless
> thing in arch/metag, removing GENERIC_SIGALTSTACK, HAVE_IRQ_WORK,
> ARCH_NO_VIRT_TO_BUS, and CONFIG_EXPERIMENTAL from defconfigs. I wasn't
> sure how it's normally handled though, so I was just going to wait until
> the other things go in before requesting a second pull.

Yes I also have a TODO list which certainly had most of those - but thanks for the
complete list James :-)

>> Stephen's patch is currently in Andrew's tree, and I don't see an easy
>> way to coordinate this. The patch we will need once both are merged
>> is below.
>>
>> Signed-off-by: Arnd Bergmann <[email-masked]>
> 
> FWIW:
> Acked-by: James Hogan <[email-masked]> (for arch/metag)
> 
> Cheers
> James

Acked-by: Vineet Gupta <[email-masked]> (for arch/arc)

So this means Stephen's patch - once merged will take care of existing in-tree
arches and your's will take care of metag/arc.

Thx,
-Vineet